> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a comment for an entity and branch



## OpenAPI

````yaml /openapi.json get /comments/{commentId}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /comments/{commentId}:
    get:
      tags:
        - comments
      summary: Get a comment for an entity and branch
      operationId: CommentsController_getComment
      parameters:
        - name: commentId
          required: true
          in: path
          description: Id of the comment
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCommentOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CommentNotFoundErrorDto'
              examples:
                COMMENT_NOT_FOUND:
                  $ref: '#/components/schemas/CommentNotFoundErrorDto'
          description: ''
components:
  schemas:
    GetCommentOutput:
      type: object
      properties:
        type:
          type: string
          description: Entity type
        id:
          type: string
          description: Id of the comment
        entityId:
          type: string
          description: Id of the entity (policy, customer, branch, ...)
        branchId:
          type: string
          description: Id of the branch
        comment:
          type: string
          description: Comment content
          maxLength: 10000
        createdAt:
          type: string
          description: Date and time when the comment was created
        updatedAt:
          type: string
          description: Date and time when the comment was last updated
      required:
        - type
        - id
        - entityId
        - branchId
        - comment
        - createdAt
        - updatedAt
    CommentNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - COMMENT_NOT_FOUND
        message:
          type: string
          example: Comment {id} not found
        details:
          $ref: '#/components/schemas/CommentNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    CommentNotFoundDetailsDto:
      type: object
      properties:
        id:
          type: string
      required:
        - id

````